<?php

    global $db , $c , $tpl , $user;
    
    $data = $db->row("select * from `page` where `modname`='".esc($c->modname)."'");

    if( $data ){
     
        page::$i->setTitle( $data['name'] );
        page::$i->keywords = $data['keywords'];
        page::$i->description = $data['description'];
     
        $tpl->assign(array(
            'data' => $data
        ));
     
        module::$i->on();   
        
    } else core::page404();
    
?>